MsWrd1Parser Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
MsWrd1Parser Class Reference

the main class to read a Microsoft Word 1 file More...

`#include <MsWrd1Parser.hxx>`

Inheritance diagram for MsWrd1Parser:

## Public Member Functions
| MsWrd1Parser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MsWrd1Parser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (librevenge::RVNGTextInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWTextParser
virtual | ~MWAWTextParser ()
| destructor More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWListenerPtr | getMainListener ()
| returns the main listener More...
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener More...
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener More...
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener More...
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...

## Protected Member Functions
void | init ()
| inits all internal variables More...
void | createDocument (librevenge::RVNGTextInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | sendMain ()
| try to send the main zone More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different zones More...
bool | sendText (MWAWEntry const &entry, bool main=false)
| send the text structure to the listener More...
bool | readFont (long fPos, MsWrd1ParserInternal::Font &font)
| try to read a char property More...
bool | readParagraph (long fPos, MsWrd1ParserInternal::Paragraph &para)
| try to read a paragraph property More...
bool | readFootnoteCorrespondance (MWAWVec2i limit)
| try to read the footnote correspondance ( zone2 ) More...
bool | readDocInfo (MWAWVec2i limit)
| try to read the document info (zone 3) More...
bool | readZones (MWAWVec2i limit)
| try to read the list of zones: separator between text and footnote? (zone 4) More...
bool | readPageBreak (MWAWVec2i limit)
| try to read the page break (zone 5) More...
bool | prepareTextZones ()
| prepare the data: separate header/footer zones to the main stream... More...
void | removeLastCharIfEOL (MWAWEntry &entry)
| shorten an entry if the last character is EOL More...
bool | readPLC (MWAWVec2i limits, int wh)
| read the two first zones (char and paragraph) More...
void | setProperty (MsWrd1ParserInternal::Paragraph const &para)
| send the ruler properties More...
Protected Member Functions inherited from MWAWTextParser
| MWAWTextParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWTextParser (MWAWParserStatePtr state)
| constructor using a state More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
void | setVersion (int vers)
| sets the document's version More...
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener More...
void | resetGraphicListener ()
| resets the listener More...
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener More...
void | resetPresentationListener ()
| resets the listener More...
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener More...
void | resetSpreadsheetListener ()
| resets the listener More...
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener More...
void | resetTextListener ()
| resets the listener More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes
shared_ptr< MsWrd1ParserInternal::State > | m_state
| the state More...

## Friends
class | MsWrd1ParserInternal::SubDocument

## Detailed Description

the main class to read a Microsoft Word 1 file

## Constructor & Destructor Documentation

## § MsWrd1Parser()

MsWrd1Parser::MsWrd1Parser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

## § ~MsWrd1Parser()

MsWrd1Parser::~MsWrd1Parser | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## § checkHeader()

bool MsWrd1Parser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |
| virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

## § createDocument()

void MsWrd1Parser::createDocument | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by parse().

## § createZones()

bool MsWrd1Parser::createZones | ( |  | ) |
| protected

finds the different zones

Referenced by parse().

## § init()

void MsWrd1Parser::init | ( |  | ) |
| protected

inits all internal variables

Referenced by MsWrd1Parser().

## § newPage()

void MsWrd1Parser::newPage | ( | int | number | ) |
| protected

adds a new page

Referenced by sendText().

## § parse()

void MsWrd1Parser::parse | ( | librevenge::RVNGTextInterface * | documentInterface | ) |
| virtual

virtual function used to parse the input

Implements MWAWTextParser.

## § prepareTextZones()

bool MsWrd1Parser::prepareTextZones | ( |  | ) |
| protected

prepare the data: separate header/footer zones to the main stream...

Referenced by createZones().

## § readDocInfo()

bool MsWrd1Parser::readDocInfo | ( | MWAWVec2i | limit | ) |
| protected

try to read the document info (zone 3)

Referenced by createZones().

## § readFont()

bool MsWrd1Parser::readFont | ( | long | fPos,
|  | MsWrd1ParserInternal::Font & | font
| ) |  |
| protected

try to read a char property

Referenced by readPLC().

## § readFootnoteCorrespondance()

bool MsWrd1Parser::readFootnoteCorrespondance | ( | MWAWVec2i | limit | ) |
| protected

try to read the footnote correspondance ( zone2 )

Referenced by createZones().

## § readPageBreak()

bool MsWrd1Parser::readPageBreak | ( | MWAWVec2i | limit | ) |
| protected

try to read the page break (zone 5)

Referenced by createZones().

## § readParagraph()

bool MsWrd1Parser::readParagraph | ( | long | fPos,
|  | MsWrd1ParserInternal::Paragraph & | para
| ) |  |
| protected

try to read a paragraph property

Referenced by readPLC().

## § readPLC()

bool MsWrd1Parser::readPLC | ( | MWAWVec2i | limits,
|  | int | wh
| ) |  |
| protected

read the two first zones (char and paragraph)

Referenced by createZones().

## § readZones()

bool MsWrd1Parser::readZones | ( | MWAWVec2i | limit | ) |
| protected

try to read the list of zones: separator between text and footnote? (zone 4)

Referenced by createZones().

## § removeLastCharIfEOL()

void MsWrd1Parser::removeLastCharIfEOL | ( | MWAWEntry & | entry | ) |
| protected

shorten an entry if the last character is EOL

Referenced by createDocument(), and sendText().

## § sendMain()

void MsWrd1Parser::sendMain | ( |  | ) |
| protected

try to send the main zone

Referenced by parse().

## § sendText()

bool MsWrd1Parser::sendText | ( | MWAWEntry const & | entry,
|  | bool | main = `false`
| ) |  |
| protected

send the text structure to the listener

Referenced by MsWrd1ParserInternal::SubDocument::parse(), and sendMain().

## § setProperty()

void MsWrd1Parser::setProperty | ( | MsWrd1ParserInternal::Paragraph const & | para | ) |
| protected

send the ruler properties

Referenced by sendText().

## Friends And Related Function Documentation

## § MsWrd1ParserInternal::SubDocument

friend class MsWrd1ParserInternal::SubDocument
| friend

## Member Data Documentation

## § m_state

shared_ptr<MsWrd1ParserInternal::State> MsWrd1Parser::m_state
| protected

the state

Referenced by checkHeader(), createDocument(), createZones(), init(), newPage(), prepareTextZones(), readDocInfo(), readFootnoteCorrespondance(), readPageBreak(), readPLC(), readZones(), sendMain(), and sendText().

The documentation for this class was generated from the following files:

- MsWrd1Parser.hxx
- MsWrd1Parser.cxx